hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cutt...@apache.org
Subject svn commit: r473501 - in /lucene/hadoop/trunk: CHANGES.txt src/c++/libhdfs/tests/test-libhdfs.sh
Date Fri, 10 Nov 2006 21:26:08 GMT
Author: cutting
Date: Fri Nov 10 13:26:07 2006
New Revision: 473501

URL: http://svn.apache.org/viewvc?view=rev&rev=473501
Log:
HADOOP-708.  Fix test-libhdfs to return the correct status, so that failures will break the
build.  Contributed by Nigel.

Modified:
    lucene/hadoop/trunk/CHANGES.txt
    lucene/hadoop/trunk/src/c++/libhdfs/tests/test-libhdfs.sh

Modified: lucene/hadoop/trunk/CHANGES.txt
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/CHANGES.txt?view=diff&rev=473501&r1=473500&r2=473501
==============================================================================
--- lucene/hadoop/trunk/CHANGES.txt (original)
+++ lucene/hadoop/trunk/CHANGES.txt Fri Nov 10 13:26:07 2006
@@ -47,6 +47,9 @@
 14. HADOOP-688.  Move DFS administrative commands to a separate
     command named 'dfsadmin'.  (Dhruba Borthakur via cutting) 
 
+15. HADOOP-708.  Fix test-libhdfs to return the correct status, so
+    that failures will break the build.  (Nigel Daley via cutting)
+
 
 Release 0.8.0 - 2006-11-03
 

Modified: lucene/hadoop/trunk/src/c++/libhdfs/tests/test-libhdfs.sh
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/src/c%2B%2B/libhdfs/tests/test-libhdfs.sh?view=diff&rev=473501&r1=473500&r2=473501
==============================================================================
--- lucene/hadoop/trunk/src/c++/libhdfs/tests/test-libhdfs.sh (original)
+++ lucene/hadoop/trunk/src/c++/libhdfs/tests/test-libhdfs.sh Fri Nov 10 13:26:07 2006
@@ -69,8 +69,11 @@
 $HADOOP_BIN_DIR/hadoop-daemon.sh start namenode && sleep 2 && 
 $HADOOP_BIN_DIR/hadoop-daemon.sh start datanode && sleep 2 && 
 echo CLASSPATH=$HADOOP_CONF_DIR:$CLASSPATH LD_PRELOAD="$LIBHDFS_BUILD_DIR/libhdfs.so" $LIBHDFS_BUILD_DIR/$HDFS_TEST
&& 
-CLASSPATH=$HADOOP_CONF_DIR:$CLASSPATH LD_PRELOAD="$LIBHDFS_BUILD_DIR/libhdfs.so" $LIBHDFS_BUILD_DIR/$HDFS_TEST
&& BUILD_STATUS=$? && sleep 3
+CLASSPATH=$HADOOP_CONF_DIR:$CLASSPATH LD_PRELOAD="$LIBHDFS_BUILD_DIR/libhdfs.so" $LIBHDFS_BUILD_DIR/$HDFS_TEST
+BUILD_STATUS=$?
+sleep 3
 $HADOOP_BIN_DIR/hadoop-daemon.sh stop datanode && sleep 2 && 
 $HADOOP_BIN_DIR/hadoop-daemon.sh stop namenode && sleep 2 
 
+echo exiting with $BUILD_STATUS
 exit $BUILD_STATUS



Mime
View raw message